## r-cran-rgenoud 5.7

=== DESCRIPTION ===
Package: rgenoud
Version: 5.7-12.4
Date: 2015-07-19
Title: R Version of GENetic Optimization Using Derivatives
Author: Walter R. Mebane, Jr. <wmebane@umich.edu>,
 Jasjeet Singh Sekhon <sekhon@berkeley.edu> 
Maintainer: Jasjeet Singh Sekhon <sekhon@berkeley.edu>
Description: A genetic algorithm plus derivative optimizer.
Depends: R (>= 2.15), utils
Suggests: parallel
License: GPL-3
URL: http://sekhon.berkeley.edu/rgenoud/
NeedsCompilation: yes
Packaged: 2015-07-20 00:50:19 UTC; jas
Repository: CRAN
Date/Publication: 2015-07-20 09:24:29

## r-cran-rgenoud 5.7-12.4

=== debian/changelog ===
r-cran-rgenoud (5.7-12.4-1) unstable; urgency=medium

  * Initial release (closes: #879180)

 -- Andreas Tille <tille@debian.org>  Fri, 20 Oct 2017 09:20:43 +0200

=== debian/control ===
Source: r-cran-rgenoud
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-rgenoud.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-rgenoud.git
Homepage: https://cran.r-project.org/package=rgenoud

Package: r-cran-rgenoud
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: R Version of GENetic Optimization Using Derivatives
 This GNU R package provides a genetic algorithm plus derivative optimizer.

=== debian/tests/control ===
Tests: vignette
Depends: @
Restrictions: allow-stderr

Tests: run-unit-test
Depends: @,
Restrictions: allow-stderr

## r-cran-rgenoud 5.8

=== DESCRIPTION ===
Package: rgenoud
Version: 5.8-3.0
Date: 2019-01-22
Title: R Version of GENetic Optimization Using Derivatives
Author: Walter R. Mebane, Jr. <wmebane@umich.edu>,
 Jasjeet Singh Sekhon <sekhon@berkeley.edu> 
Maintainer: Jasjeet Singh Sekhon <sekhon@berkeley.edu>
Description: A genetic algorithm plus derivative optimizer.
Depends: R (>= 2.15), utils
Suggests: testthat
License: GPL-3
URL: http://sekhon.berkeley.edu/rgenoud/
NeedsCompilation: yes
Packaged: 2019-01-23 03:33:15 UTC; sekhon
Repository: CRAN
Date/Publication: 2019-01-24 22:40:02 UTC

## r-cran-rgenoud 5.8-2.0

=== debian/changelog ===
r-cran-rgenoud (5.8-2.0-2build1) cosmic; urgency=medium

  * No-change rebuild for the r-api change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 May 2018 14:27:07 +0000

r-cran-rgenoud (5.8-2.0-2) unstable; urgency=medium

  * Team upload
  * Add test Depends: r-cran-testthat

 -- Graham Inggs <ginggs@debian.org>  Mon, 07 May 2018 11:27:54 +0000

r-cran-rgenoud (5.8-2.0-1) unstable; urgency=medium

  * New upstream version
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * dh-update-R to update Build-Depends
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Sun, 06 May 2018 09:09:13 +0200

r-cran-rgenoud (5.8-1.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Sun, 11 Mar 2018 18:27:50 +0100

=== debian/control ===
Source: r-cran-rgenoud
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rgenoud
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rgenoud.git
Homepage: https://cran.r-project.org/package=rgenoud

Package: r-cran-rgenoud
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: R Version of GENetic Optimization Using Derivatives
 This GNU R package provides a genetic algorithm plus derivative optimizer.

## r-cran-rgenoud 5.8-3.0

=== debian/changelog ===
r-cran-rgenoud (5.8-3.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:55:53 +0100

r-cran-rgenoud (5.8-3.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Mon, 28 Jan 2019 11:33:41 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rgenoud
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rgenoud.git
 Homepage: https://cran.r-project.org/package=rgenoud

=== debian/tests/control ===
Tests: vignette
Depends: @
Restrictions: allow-stderr

Tests: run-unit-test
Depends: @, r-cran-testthat
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/rgenoud_([-\d.]*)\.tar\.gz

## r-cran-rgenoud 5.9

=== DESCRIPTION ===
Package: rgenoud
Version: 5.9-0.10
Date: 2023-12-13
Title: R Version of GENetic Optimization Using Derivatives
Authors@R: c(
    person("Walter", "R. Mebane, Jr", role = "aut", email = "wmebane@umich.edu"),
    person("Jasjeet", "Singh Sekhon", role = c("aut","cre"), email = "jas.sekhon@yale.edu"),
    person("Theo", "Saarinen", role = "aut", email = "theo_s@berkeley.edu")
    )
Maintainer: Jasjeet Singh Sekhon <jas.sekhon@yale.edu>
Description: A genetic algorithm plus derivative optimizer.
Depends: R (>= 2.15), utils
Suggests: testthat
License: GPL-3
URL: https://github.com/JasjeetSekhon/rgenoud
NeedsCompilation: yes
Packaged: 2023-12-14 23:52:35 UTC; theosaa
Author: Walter R. Mebane, Jr [aut],
  Jasjeet Singh Sekhon [aut, cre],
  Theo Saarinen [aut]
Repository: CRAN
Date/Publication: 2023-12-15 23:30:02 UTC

## r-cran-rgenoud 5.9-0.3

=== debian/changelog ===
r-cran-rgenoud (5.9-0.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 18 May 2022 14:43:08 +0200

r-cran-rgenoud (5.8-3.0-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Wed, 23 Sep 2020 11:50:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: r-cran-rgenoud
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Priority: optional
-Build-Depends: debhelper (>= 12~),
-               dh-r,
-               r-base-dev
-Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rgenoud
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rgenoud.git
 Homepage: https://cran.r-project.org/package=rgenoud
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-rgenoud
 Architecture: any

## r-cran-rgenoud 5.9-0.10

=== debian/changelog ===
r-cran-rgenoud (5.9-0.10-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2024 08:47:43 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rgenoud
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rgenoud.git
 Homepage: https://cran.r-project.org/package=rgenoud
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-rgenoud 5.9-0.11

=== debian/changelog ===
r-cran-rgenoud (5.9-0.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 02 Oct 2024 08:42:10 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rgenoud
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rgenoud.git
 Homepage: https://cran.r-project.org/package=rgenoud
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
